package com.sckw.system.dao;

import com.sckw.system.model.KwsDept;
import com.sckw.system.model.pojo.FindDeptUserPojo;
import com.sckw.system.model.vo.res.KwsDeptResVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

/**
 * 组织机构
 * @author zk
 * @date 2023-05-31
 */
@Mapper
public interface KwsDeptDao {

    /**
     * 新增
     * @param record
     * @return
     */
    int insert(KwsDept record);

    /**
     * 更新
     * @param record
     * @return
     */
    int update(KwsDept record);

    /**
     * 详情查询
     * @param id
     * @return
     */
    KwsDept selectByKey(Long id);

    /**
     * @param list id集合
     * @return KwsDept
     * @desc: 详批量情查询
     * @author: czh
     */
    List<KwsDept> selectByKeys(List<Long> list);

    /**
     * @param list ent_id集合
     * @return KwsDept
     * @desc: 详批量情查询
     * @author: czh
     */
    List<KwsDept> selectByEntIdList(List<Long> list);

    /**
     * 查询
     * @param params
     * @return
     * @throws Exception
     */
    List<KwsDeptResVo> findList(KwsDept params);

    /**
     * @param list 机构id集合
     * @return FindDeptUserPojo
     * @desc: 根据机构id查用户
     * @author: czh
     * @date: 2023/6/28
     */
    List<FindDeptUserPojo> findDeptUserByDeptIds(List<Long> list);

}
